Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • shell/builtin-command.rb

Shell::Concat

Public Class Methods

new(sh, *jobs) click to toggle source
 
               # File shell/builtin-command.rb, line 149
def initialize(sh, *jobs)
  super(sh)
  @jobs = jobs
end
            

Public Instance Methods

each(rs = nil) click to toggle source
 
               # File shell/builtin-command.rb, line 154
def each(rs = nil)
  while job = @jobs.shift
    job.each{|l| yield l}
  end
end